Welcome

 Top Next

Welcome to Cayra's help manual!

Here you can learn everything about Cayra's work: from basics to advanced options.

You can browse through Table of Contents (click on the "plus" to open the help pages), enter key words in the Index section or search for a particular issue by entering your request into the Search field.

Web options:

You might also want to read answers to Frequently Asked Questions at Cayra's website.

If you didn't find an answer to your question or have a suggestion, help us improve this manual by posting your comment in this forum thread.


Node

 Top Previous Next

Node is the key element of the diagram. It can represent ideas, objects, people, concepts, etc.


Link

Link is a line that connects two Nodes.


Type

Type is a marker indicating that a certain node belongs to a certain group.

E.g. in the Project Plan there can be a type of "Developers".


Cloud

Cloud is a common feature that you can assign to several nodes. On the diagram it looks like a cloud.


Link type

Links can have types. These types show the relations between nodes (ideas expressed by nodes).


New map

Click "New map" button in the toolbar newmap or "Ctrl+N" hot key to create a new map.


Open existing map

· To open an existing map, click on the folder button in the toolbar openmap or press "Ctrl+O" hot key.
· To open a recently used map, point mouse cursor over the same button and hold it. A list with recently used maps will appear. Click on the desired map to open it.


Save map

You can save your map by pressing "Ctrl+S" hot key or by clicking on the diskette button in the toolbar save .

To save your map with a different name or in a different location, click on the button that has a discette with a pencil on it saveas .

See also Save as HTML


Create node

To create a new node:

· Double click on the diagram OR
· Press "Insert" on the keyboard OR
· Grab the node by link type box and start dragging. A link will be automatically created, and after you let it go - a new node.


Create unconnected node

To create a node that will not be connected to any other node on the map, click on the empty space of the diagram to unfocus all nodes and then double click or press "Insert".


Delete node

To delete a node either select it and press "Delete" on the keyboard or right-click on a node, choose "Delete node" and left-click on it.


Add child node

When you create a node from existing node, a new one automatically becomes a child node. To change its direction later, delete the link and drag a new link from this ex-child node.


Add sibling node

To add a sibling node, click on the parent node and create a new node from it.

A hot key for this operation is "Ctrl+Alt+Insert", which will create a sibling node from the last parent you worked with.

Note: In Cayra a node can have several parent nodes, therefore if you're not working with one parent, this combination won't work.


Add parent node

To create a parent node

1. Create unconnected node,

2. Create a link from it to the node you want to become a child node.


Delete branch

You can delete a node with all its children nodes by right-clicking on it and choosing "Delete branch" or by using "Ctrl+Delete" hot key.

Note: those children nodes that have connections with other nodes will be left on the diagram.


Create link

When you create a new node from existing node, a link is automatically created.

If you want to create a link between two unconnected nodes:

· grab (click and hold) the link type box

· drag it to the node you want to be linked

· once the link is on the node and the cursor turned from an arrow cursor1 to a hand cursor2 , let go of the link.


Delete link

Right-click on the link, choose "Delete link" and left-click on it.


Link direction

Links have direction. The node near which the link is thicker, is considered to be a parent node.

· When a new node is created, it automatically becomes a child node.

· To change Link direction, delete the current link and create a link from the node which you want to be the parent one, to the child node.


Create link with type

· To create a node that will have a new link with type, point over the node, click on the "New Link Type", type in a desired Link type name and press Enter or click on the ">" sign.

· To create a new node that will have an existing Link type, point mouse cursor over the node, click on the existing Link type, grab it and connect it to an existing node or simply let it go somewhere on the map (then a new node of this Link type will be created).

· To create a new link type between two unconnected nodes, click on the "New Link Type", type in a desired Link type name, click and hold the ">" sign and drag the appeared link to the node you want to be linked.


Delete link types

To delete link types that you no longer use, click on the "Clouds" drop menu in the "Search & Filter" menus and select "Link types". Select those link types that you don't need anymore and delete them either by pressing "Delete" on the keyboard or by right-clicking on the node, selecting "Delete node" and left-clicking on it.


Link between diagram and Nodes List

Now it's possible to link a node on the diagram and a node in Nodes List. It's done for better work with big maps, when you have more than 10 nodes in your map. This feature is helpful if you want to link a node on the diagram with a currently invisible node. To do that, you have to start drawing a link from a node (see Create Link), but instead of linking it to a node on the map, link it to the node in the Nodes List. When you're dragging the link, the nodes in the Nodes List will become bold once the mouse cursor hovers over them. Wait for the target node to become bold and then let go of the link. These two nodes will be connected.


Edit node

You can edit nodes in the Node Properties panel:

· You can change node's name, cloud, type, text color textcolor and background color backgrcolor .
· You can add images, icons and notes.
· You can also switch by "Tab" between node's name, cloud, type, text color, fill color, set image and note.

To save changes that you've made to the node's name, cloud and type:

· Press "Enter" OR
· Press "Tab" OR
· Click anywhere on the map area.

For saving changes when you're editing notes, see Edit note.

To cancel editing before you have saved it, press "Esc".

To cancel it once you have saved it, click on the "Undo" button in the toolbar or press "Ctrl+Z" hot key.


Add cloud

· You can add a new cloud by clicking on the "No cloud" field, cloud2

typing in the desired cloud name and pressing "Enter" or "Tab" to save changes.

· To add an existing cloud to the node, choose it from the clouds drop menu.


Edit cloud

· To edit cloud's name, type in a new name into "Cloud" field on the Node Properties panel cloud4 and press "Enter" or "Tab".

· To clear node's cloud, delete its name and press "Enter" or "Tab".
· To edit cloud's color, click on the Clouds drop menu at the "Search and Filters" menus (bottom of the diagram) clouds1 and select the "Clouds" item

clouds2 .

Then click on the node of the cloud you want to edit and change its color in the Nodes Properties panel (as you would do for a "usual" node).

· This way you can also delete the cloud you no longer use (left-click on the node of the cloud and choose "Delete node" or press "Delete" button on the keyboard).


Add icon

· To add an icon right-click on the Node, choose the icon you want to set and click on it.
· You can add your own icons. To do that, create an unconnected node and set the "Icons" cloud "Icons" and the "Icon group" type for this node. Then create one or several children nodes from this parent node (they will all have cloud "Icons") and add images to them that you want to use as icons.
· You can copy these icon sets from one map to another by selecting them with rubberband and copying them onto the map you want to add these icons to.


Edit icon

· After you have set an icon and if it is included into a bigger icon group, you can change first icon to the next by clicking on it.

For example, in a "status" icon group, if you want to set a different status to your task: from "half-done" to "complete", you simply have to click 2 times on this icon.

· To remove an icon, right-click on the icon and choose "remove icon". If you have several icons within one node, right click on the node and choose "remove all icons".


Add image

To add an image click on the "Set image" button in the Node Properties panel setimage and then choose a folder where you store pictures and images (e.g. My Documents/My pictures), click on the image you want to attach and click "Open".


Remove image

To remove an image, click on the same button as for setting image, only once an image is attached to the node, this button will say "Remove image": remimage


Add note

To add note, click on the note field and start typing.

To cancel editing, press "Esc".


Edit note

You can edit text in the note: make it bold, italicized, underlined, change alignment, add bullets and numbering.

Press "Ctrl+Enter" or click anywhere on the map to save changes. Press "Esc" to cancel editing.

To delete note from the node, clear the text and press "Ctrl+Enter" or click anywhere on the map.


Add type

To set a new type for the node click on the "Type" field in the Nodes Properties panel type1 , type in the desired type name and press "Enter" or "Tab".


Edit type

· To edit node's type, type in a new name into "Type" field on the Node Properties panel type2 and press "Enter" or "Tab".

· To clear node's type, delete its name and press "Enter" or "Tab".
· To edit type's color, click on the "Clouds" drop menu at the "Search and Filters" menus (bottom of the diagram) clouds1 and select the "Node types" item

clouds2 .

Then click on the node of the type you want to edit and change its color in the Nodes Properties panel (as you would do for a "usual" node).

· This way you can also delete the type you no longer use (left-click on the node of the type and choose "Delete node" or press "Delete" button on the keyboard).


Work with several maps

Cayra has a single document interface, so if you want to copy some nodes or icons from one map to another, or just want to work with two or more maps simultaneously, load Cayra program two (or more) times.


Nodes layout

Nodes are positioned on the diagram automatically.

There're two types of layout: Fixed and Dynamic.

By default Cayra opens with Dynamic layout.

In this layout map opens with the central (or simply the first) node and its children. Then, as you click on the "+" sign or create new nodes, map is re-drawn every time, so that you see it from a different angle: the node you click on moves into the center and all its connections are shown, while other nodes are hidden.

This way it allows you to focus on the topic you're now interested in, shifting away information that is irrelevant at the moment.

Nodes in this layout are re-positioned every time you click on them or make changes. You can manually move them around to make the map fit your needs (e.g. to Print it or Save as image), but their position is not saved and after you click somewhere on the map, nodes change their position.

Fixed layout, on the contrary, displays all your nodes and saves their position.

You can switch between layouts by clicking on the pin icon pin in the toolbar.

The map is saved in the layout in which you pressed "Save".


Open FreeMind or Mindjet MindManager map

To open a map, created in FreeMind or Mindjet MindManager, click on the Open map button openmap (or press "Ctrl+O") and choose "All supported formats" in Files of type drop menu.


Save map as HTML file

To save your map as an HTML file click on "Save as" button saveas and choose ".html" in Save as type drop menu.


Save map as an image

You can save your map as an image (without Nodes List and Nodes Properties panels though) by clicking on the camera button in the toolbar saveasimage


Map navigation

You can navigate through map with mouse cursor, with keyboard arrows and with "Ctrl+Tab" hot key, which switches from one panel to another.

You can also navigate through your actions history:

1. To go back in history click on the left blue arrow arrow-back or press "Alt+Left arrow" hot key. It will return the focus on where it was a click ago.

2. To move forward in history is only possible after you have made a step back. Then the right blue arrow becomes activated: arrow-frwd-active . Otherwise it looks pale and you can't click on it: arrow-frwd . Same for "Alt+Right arrow" - it only works after you have made a step back.

3. You can go home anytime. Once you click on the "Go home" button home , you'll see the original map view: the main (central / first) node and its children.


Copy / Paste

To copy a node, either press "Ctrl+C" hot key or right-click on the selected node, choose "Copy" and click on it. All node's properties (such as icons, notes, cloud and type) will copied automatically.

To cut a node, either press "Ctrl+X" hot key or right-click on the selected node, choose "Cut" and click on it.

To paste a node, either press "Ctrl+V" hot key or right-click anywhere on the map area, choose "Paste" and click on it.


Undo / Redo

You can cancel any action (or several actions) that you've made on the map by clicking on the "Undo" button in the toolbar undo or by pressing "Ctrl+Z" on the keyboard.

You can redo an action by clicking "Redo" redo-active or pressing "Ctrl+Y". If the button is not active redo-inactive then it means that you didn't not undo anything, so there's nothing to redo.


Hide nodes

To hide child nodes of a particular node, click on the "minus" sign: minus


Show nodes

To show children nodes of a particular node, click on the "plus #" sign: plus


Select several nodes

Selection on the diagram:

· To select several nodes on the diagram, use "rubberband" selection: click & hold on the empty space of the diagram and then move the mouse cursor so that the nodes you want to select will appear inside the "rubberband":

· To select only a few nodes or nodes that are distant from each other on the diagram, "Ctrl+Click" them (press & hold "Ctrl" and click at the same time).

Selection in the Nodes List:

· To select all nodes, press "Ctrl+A" hot key (although please keep in mind that for big maps it will create a mess on the diagram).
· To select several nodes in a stretch, "from A to F", use "Shift+Click"
· To select a node A and a node K and a node Z, use "Ctrl+Click"


Bookmark node

To bookmark a node, click on the star button in the toolbar: bookmark1

To view the bookmarked nodes later, choose one of them from the "Bookmark" drop menu bookmark2


Search

To search for a particular node, start typing its name in the search field: search

As you type, nodes that match your search request will appear.

If you want to cancel search results and view your map, clear the text in the search field and click on the "Go home" button: home


Filter

To show only those nodes that have certain Cloud, Type or Link Type, choose an appropriate Cloud, Type or Link Type name in the drop menus near search field.


Print

To print your map click on the "Printer" button in the toolbar print or press "Ctrl+P" hot key.

The map as you see it on the screen (with Nodes List and Nodes Properties panels included) will be printed.

If you want to print all your map's information (e.g. all notes for nodes), save your map in HTML format and then print this file.


Node's parameters

Node's parameters is a feature that allows you to add different attributes to a node.

E.g. in a project plan, you'll be able to mark each task with time, date, status of completion, etc.

One of the key parameters is Hyperlink.

To add a hyperlink, click on the "New name" drop menu in the Node Properties panel hlink , select "HLink" and press Enter or click on the green plus button.

Enter the hyperlink text (make sure to start it with http://) into the appeared empty field next to "HLink". Press Enter. hlink2

You can also add emails and links to files on your hard drive by putting prefix mailto: or file:///

E.g. mailto: yourname@dot.com or file:///C:/My Maps/ExampleMap.cayra

Clicking on the "eye" sign next to the parameter will make it visible or invisible on the node.

Click on the red cross button to delete the parameter.

Also you can add following parameters to a node:

· Text (e.g. vacancy status: opened)
· Numeric (e.g. candidate age: 27)
· Yes / No (e.g.married: no)
· Date
· Time
· Date and Time

How to add a parameter:

Enter the name of the parameter into "New name" field and choose its type. E.g. "meeting: DateTime". Click on the green "plus" button. Change the date in the field next to "meeting".

After you have created one parameter, it'll be available for other nodes too in the New name drop menu hlink


Hot keys

Alt+Left arrow | Allows you to go back in history.
Alt+Right arrow | Allows you to go forward in history (if it's possible: that is, if you have made some changes, then returned and then want to go forward again).
Ctrl+A | Selects all nodes in the Nodes List.
Ctrl+C | Copies a node.
Ctrl+Del | Deletes node with its children.
Ctrl+Enter | Finishes editing text in the Note section.
Ctrl+Alt+Insert | Creates a sibling node from the last active parent.
Ctrl+N | Creates New map.
Ctrl+O | Opens existing map.
Ctrl+P | Sends map to print.
Ctrl+S | Saves map.
Ctrl+Tab | Switches between panels.
Ctrl+V | Pastes copied node.
Ctrl+X | Cuts a node.
Ctrl+Y | Press to redo an action.
Ctrl+Z | Press to undo an action.
Delete | Press it to delete nodes or text in the Nodes Properties panel.
Enter | Finishes any editing that you've done to a node (changing name, cloud, type, etc.) or when you navigating with keyboard arrows - sets focus.
Esc | "Esc" button allows you to cancel editing in any field of the Node Properties panel.
Insert | Creates new node.
Tab | Switches between Name, Cloud, Type and Note in Nodes Properties panel and applies changes if there are any.


Updates

Cayra is automatically checking for updates every three days (if your computer is connected to the Internet). No private information is being send during this connection.


About the program

About

 Top Previous

Cayra Maps

This is version 0.9.5 released on the 28th of February 2008.

Copyright (c) Management Intalev 2007-2008